#include <qwidget.h>
#include <qcanvas.h>
#include "CanvasView.h"
#include "../base_gui/gEngine.h"
#include "../base_gui/gBelt.h"
#include "../base_gui/gAlpha.h"
#include "../base_gui/gOmega.h"
#include "../base_gui/gMiddle.h"

//class Canvas : public QWidget
class Canvas : public QCanvasView
{
	Q_OBJECT
	public:
		Canvas( QWidget * parent, const char *name = 0 );
		~Canvas();
		QCanvas* getCanvas();
		void setGeometry(int, int, int, int);
		void setGeometry(QRect);
		
	private:
		QCanvas *oCanvas;
		gEngine *eng;
		gBelt *belt1;
		gAlpha *alp;
		gOmega *ome;
		gMiddle *mid;
			
	    public slots:
void		testslot();
void	testslot2();
                                virtual void advance();
};
