/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

void mainwindow::startButton_clicked()
{
    stopButton->setEnabled(true);
    startButton->setEnabled(false);
    speedSpinBox->setEnabled(false);
    emit sig_start( delaySpinBox->value() );
}


void mainwindow::stopButton_clicked()
{
    stopButton->setEnabled(false);
    startButton->setEnabled(true);
}


void mainwindow::createButton_clicked()
{
    createButton->setEnabled(false);
    stopButton->setEnabled(true);
    startButton->setEnabled(true);
    delaySpinBox->setEnabled(true);
    speedSpinBox->setEnabled(true);
}


void mainwindow::delaySpinBox_valueChanged( int )
{
    stopButton->setEnabled(true);
    startButton->setEnabled(false);
}


void mainwindow::stats( int total, int good, int withoutCarcass, int withoutValves, int withoutStarter, int withoutLid )
{
    LCDTotal->display(total);
    LCDGood->display(good);
    LCDWoCarcass->display(withoutCarcass);
    LCDWoValves->display(withoutValves);
    LCDWoStarter->display(withoutStarter);
    LCDWoLid->display(withoutLid);
}


void mainwindow::fileExitAction_activated()
{
    QApplication::exit(0);
}


void mainwindow::helpAboutAction_activated()
{
    QMessageBox::information(this, "About", "Made by Justas Cerniauskas.");
}
